var ie55="";
var agent=navigator.userAgent.toLowerCase();
if (document.all){var version=parseFloat(agent.substr(agent.indexOf("msie")+5,3));
if (version>=5.5) ie55="yes";
}
var displaymode="always"
var autohidebox=["yes",30]
var showonscroll="yes"
var enablefade="yes"
var IEfadelength=1
var Mozfadedegree=0.05
if (parseInt(displaymode)!=NaN)
var random_num=Math.floor(Math.random()*displaymode)
function displayfadeinbox(){
var ie=document.all && !window.opera
var dom=document.getElementById
iebody=(document.compatMode=="CSS1Compat")? document.documentElement:document.body
objref=(dom)? document.getElementById("fadeinbox"):document.all.fadeinbox
var scroll_top=(ie)? iebody.scrollTop:window.pageYOffset
var docwidth=(ie)? iebody.clientWidth:window.innerWidth
docheight=(ie)? iebody.clientHeight: window.innerHeight
var objwidth=objref.offsetWidth
objheight=objref.offsetHeight
objref.style.left=docwidth/2-objwidth/2+"px"
objref.style.top=scroll_top+docheight/2-objheight/2+"px"
if (showonscroll=="yes") showonscrollvar=setInterval("staticfadebox()",50)
if (ie55=="yes" && enablefade=="yes" && objref.filters){
eval(objref.filters[0].duration=IEfadelength)
eval(objref.filters[0].Apply())
eval(objref.filters[0].Play())
}
objref.style.visibility="visible"
if (objref.style.MozOpacity){
if (enablefade=="yes")
mozfadevar=setInterval("mozfadefx()",90)
else{
objref.style.MozOpacity=1
controlledhidebox()
}}
else
controlledhidebox()
}
function mozfadefx(){
if (parseFloat(objref.style.MozOpacity)<1)
objref.style.MozOpacity=parseFloat(objref.style.MozOpacity)+Mozfadedegree
else{
clearInterval(mozfadevar)
controlledhidebox()
}}
function staticfadebox(){
var ie=document.all && !window.opera
var scroll_top=(ie)? iebody.scrollTop:window.pageYOffset
objref.style.top=scroll_top+docheight/2-objheight/2+"px"
}
function hidefadebox(){
objref.style.visibility="hidden"
if (typeof showonscrollvar!="undefined")
clearInterval(showonscrollvar)
}
function controlledhidebox(){
if (autohidebox[0]=="yes"){
var delayvar=(enablefade=="yes" && objref.filters)? (autohidebox[1]+objref.filters[0].duration)*1000:autohidebox[1]*1000
setTimeout("hidefadebox()",delayvar)
}}
function initfunction(){
setTimeout("displayfadeinbox()",100)
}

if (window.addEventListener)
window.addEventListener("load",initfunction,false)
else if (window.attachEvent)
window.attachEvent("onload",initfunction)
else if (document.getElementById)
window.onload=initfunction
